package com.mints.goodmoney.mvp.model;

import java.io.Serializable;
import java.util.List;

/**
 * 描述：金币明细
 * 作者：孟崔广
 * 时间：2019/10/29 18:42
 * 邮箱：mengcga@163.com
 */
public class GoldRecordBean implements Serializable {

    private int sumCoin;

    private List<ListBean> list;

    public int getSumCoin() {
        return sumCoin;
    }

    public void setSumCoin(int sumCoin) {
        this.sumCoin = sumCoin;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public class ListBean implements Serializable {
        /**
         * uid : 16
         * type : 1
         * descript : 积分兑换余额1元
         * tid :
         * oldCoin : 8630
         * unitCoin : 100
         * newCoin : 8530
         * detailType : 11
         * coin_id : 1931505541203900000
         * createTime : 1573451653000
         */

        private long uid;
        private int type;
        private String descript;
        private String tid;
        private String goldStatus;
        private String goldText;
        private String time;
        private String day;
        private boolean showDay;
        private int oldCoin;
        private int rewardType;
        private int unitCoin;
        private int newCoin;
        private int detailType;
        private long coin_id;
        private long createTime;

        public long getUid() {
            return uid;
        }

        public int getType() {
            return type;
        }

        public String getDescript() {
            return descript;
        }

        public String getTid() {
            return tid;
        }

        public String getGoldStatus() {
            return goldStatus;
        }

        public String getGoldText() {
            return goldText;
        }

        public int getOldCoin() {
            return oldCoin;
        }

        public int getUnitCoin() {
            return unitCoin;
        }

        public int getNewCoin() {
            return newCoin;
        }

        public int getDetailType() {
            return detailType;
        }

        public long getCoin_id() {
            return coin_id;
        }

        public long getCreateTime() {
            return createTime;
        }

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

        public String getDay() {
            return day;
        }

        public void setDay(String day) {
            this.day = day;
        }

        public boolean isShowDay() {
            return showDay;
        }

        public void setShowDay(boolean showDay) {
            this.showDay = showDay;
        }

        public int getRewardType() {
            return rewardType;
        }

        public void setRewardType(int rewardType) {
            this.rewardType = rewardType;
        }
    }
}
